CMAP_ITER_NEXT(3)

NAME

cmap_iter_next - Return next item in iteration in CMAP

SYNOPSIS

#include <corosync/cmap.h>

cs_error_t cmap_iter_next(cmap_handle_t handle, cmap_iter_handle_t iter_handle, char key_name[], size_t *value_len, cmap_value_types_t *type);

DESCRIPTION

The cmap_iter_next function is used to get next value in iteration. The handle argument is connection to CMAP database obtained by calling cmap_initialize(3) function. iter_handle argument is iterator handle obtained by cmap_iter_init(3) function. Following key name is stored inside key_name argument, which must be preallocated by caller and its guaranteed maximum size is CMAP_KEYNAME_MAXLEN (currently 255). value_len is pointer where length of value is stored, but can be NULL. type is also optional argument (can be NULL) and here type of value is stored (type is one of types described in cmap_get(3) function).

RETURN VALUE
This call returns the CS_OK value if successful. If there are no more items to iterate, CS_NO_SECTION error code is returned.

SEE ALSO
cmap_iter_init(3), cmap_iter_finalize(3), cmap_initialize(3), cmap_get(3), cmap_overview(3)

CS_ERR_TRY_AGAIN Resource temporarily unavailable

CS_ERR_INVALID_PARAM Invalid argument

CS_ERR_ACCESS Permission denied

CS_ERR_LIBRARY The connection failed

CS_ERR_INTERRUPT System call interrupted by a signal

CS_ERR_NOT_SUPPORTED The requested protocol/functionality not supported

CS_ERR_MESSAGE_ERROR Incorrect auth message received

CS_ERR_NO_MEMORY Not enough memory to complete the requested task